package com.steerinfo.TimedTask.lgwgt.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="连铸定向切割")
public class LgWgt implements IBasePO<Long> {
    @ApiModelProperty(value="",required=true)
    private Long seq;

    @ApiModelProperty(value="",required=false)
    private String inTime;

    @ApiModelProperty(value="",required=false)
    private Integer wgt;

    @ApiModelProperty(value="",required=false)
    private Short gxNo;

    @ApiModelProperty(value="",required=false)
    private Short status;

    @ApiModelProperty(value="",required=false)
    private String upTime;

    @ApiModelProperty(value="",required=false)
    private Date getTime;

    @ApiModelProperty(value="",required=false)
    private String smpLot;

    @ApiModelProperty(value="",required=false)
    private String bc;

    @ApiModelProperty(value="",required=false)
    private String bz;

    @ApiModelProperty(value="",required=false)
    private String gg;

    @ApiModelProperty(value="",required=false)
    private String gz;

    @ApiModelProperty(value="",required=false)
    private Short llzl;

    @ApiModelProperty(value="",required=false)
    private String stFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public Long getId() {
        return this.seq;
    }

    @Override
    public void setId(Long seq) {
        this.seq = seq;
    }

    public Long getSeq() {
        return seq;
    }

    public void setSeq(Long seq) {
        this.seq = seq;
    }

    public String getInTime() {
        return inTime;
    }

    public void setInTime(String inTime) {
        this.inTime = inTime == null ? null : inTime.trim();
    }

    public Integer getWgt() {
        return wgt;
    }

    public void setWgt(Integer wgt) {
        this.wgt = wgt;
    }

    public Short getGxNo() {
        return gxNo;
    }

    public void setGxNo(Short gxNo) {
        this.gxNo = gxNo;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public String getUpTime() {
        return upTime;
    }

    public void setUpTime(String upTime) {
        this.upTime = upTime == null ? null : upTime.trim();
    }

    public Date getGetTime() {
        return getTime;
    }

    public void setGetTime(Date getTime) {
        this.getTime = getTime;
    }

    public String getSmpLot() {
        return smpLot;
    }

    public void setSmpLot(String smpLot) {
        this.smpLot = smpLot == null ? null : smpLot.trim();
    }

    public String getBc() {
        return bc;
    }

    public void setBc(String bc) {
        this.bc = bc == null ? null : bc.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getGg() {
        return gg;
    }

    public void setGg(String gg) {
        this.gg = gg == null ? null : gg.trim();
    }

    public String getGz() {
        return gz;
    }

    public void setGz(String gz) {
        this.gz = gz == null ? null : gz.trim();
    }

    public Short getLlzl() {
        return llzl;
    }

    public void setLlzl(Short llzl) {
        this.llzl = llzl;
    }

    public String getStFlag() {
        return stFlag;
    }

    public void setStFlag(String stFlag) {
        this.stFlag = stFlag == null ? null : stFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", seq=").append(seq);
        sb.append(", inTime=").append(inTime);
        sb.append(", wgt=").append(wgt);
        sb.append(", gxNo=").append(gxNo);
        sb.append(", status=").append(status);
        sb.append(", upTime=").append(upTime);
        sb.append(", getTime=").append(getTime);
        sb.append(", smpLot=").append(smpLot);
        sb.append(", bc=").append(bc);
        sb.append(", bz=").append(bz);
        sb.append(", gg=").append(gg);
        sb.append(", gz=").append(gz);
        sb.append(", llzl=").append(llzl);
        sb.append(", stFlag=").append(stFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}